Subject: Re: [PATCH v2 0/9] midx: clean up t5319 under 'SANITIZE=leak'

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 Oct 2021 16:49:49 -0700

Taylor Blau <[email-masked]> writes:

> Here is a small-ish update to my series which makes t5319 leak-free (i.e., it
> passes even when Git is compiled with SANITIZE=leak). It is based on
> ab/only-single-progress-at-once (so I dropped the cherry-picked patch towards
> the end from Ævar).

The range-diff was almost unreadable, so I looked at the difference
relative to the previous tip (i.e. "git diff @{1}").  I spotted two
classes of changes, one is where and how "struct child_process" gets
cleared, the other is how midx-related filenames are released.  I
think the latter changes are improvements, and among the former, the
"write_oid() was never called, so cmd was left unused" change does
look an improvement, but I do not know about the others.

Thanks.